--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: self if block_given?
comment: 
- !ruby/struct:SM::Flow::P 
  body: Specification constructor. Assigns the default values to the attributes, adds this spec to the list of loaded specs (see Specification.list), and yields itself for further initialization.
full_name: Gem::new
is_singleton: true
name: new
params: () {|self if block_given?| ...}
visibility: public
